=== modified file 'Makefile'
--- Makefile	2015-06-28 16:35:27 +0000
+++ Makefile	2014-10-05 20:08:58 +0000
@@ -106,8 +106,7 @@
 PLUGINS=plugins.d/password-prompt plugins.d/mandos-client \
 	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo \
 	plugins.d/plymouth
-PLUGIN_HELPERS=
-CPROGS=plugin-runner $(PLUGINS) $(PLUGIN_HELPERS)
+CPROGS=plugin-runner $(PLUGINS)
 PROGS=mandos mandos-keygen mandos-ctl mandos-monitor $(CPROGS)
 DOCS=mandos.8 mandos-keygen.8 mandos-monitor.8 mandos-ctl.8 \
 	mandos.conf.5 mandos-clients.conf.5 plugin-runner.8mandos \
@@ -274,7 +273,6 @@
 	@echo "###################################################################"
 # We set GNOME_KEYRING_CONTROL to block pam_gnome_keyring
 	./plugin-runner --plugin-dir=plugins.d \
-		--plugin-helper-dir=plugin-helpers \
 		--config-file=plugin-runner.conf \
 		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt,--network-hook-dir=network-hooks.d \
 		--env-for=mandos-client:GNOME_KEYRING_CONTROL= \
@@ -358,7 +356,6 @@
 	if [ "$(CONFDIR)" != "$(LIBDIR)/mandos" ]; then \
 		install --mode=u=rwx \
 			--directory "$(CONFDIR)/plugins.d"; \
-		install --directory "$(CONFDIR)/plugin-helpers"; \
 	fi
 	install --mode=u=rwx,go=rx --directory \
 		"$(CONFDIR)/network-hooks.d"

=== modified file 'debian/control'
--- debian/control	2014-10-08 21:03:05 +0000
+++ debian/control	2014-10-05 19:46:11 +0000
@@ -9,7 +9,7 @@
 	| gnutls-dev, xsltproc, pkg-config
 Build-Depends-Indep: systemd, python2.7, python2.7-gnutls,
 	python2.7-dbus, python2.7-avahi, python2.7-gobject
-Standards-Version: 3.9.6
+Standards-Version: 3.9.5
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: http://www.recompile.se/mandos

=== modified file 'initramfs-tools-hook'
--- initramfs-tools-hook	2015-06-28 16:35:27 +0000
+++ initramfs-tools-hook	2014-07-16 23:44:54 +0000
@@ -70,13 +70,11 @@
 CONFDIR="/conf/conf.d/mandos"
 MANDOSDIR="/lib/mandos"
 PLUGINDIR="${MANDOSDIR}/plugins.d"
-PLUGINHELPERDIR="${MANDOSDIR}/plugins-helpers"
 HOOKDIR="${MANDOSDIR}/network-hooks.d"
 
 # Make directories
 install --directory --mode=u=rwx,go=rx "${DESTDIR}${CONFDIR}" \
-	"${DESTDIR}${MANDOSDIR}" "${DESTDIR}${HOOKDIR}" \
-	"${DESTDIR}${PLUGINHELPERDIR}"
+	"${DESTDIR}${MANDOSDIR}" "${DESTDIR}${HOOKDIR}"
 install --owner=${mandos_user} --group=${mandos_group} --directory \
     --mode=u=rwx "${DESTDIR}${PLUGINDIR}"
 
@@ -100,21 +98,6 @@
     esac
 done
 
-# Copy the packaged plugin helpers
-for file in "$libdir"/mandos/plugin-helpers/*; do
-    base="`basename \"$file\"`"
-    # Is this plugin overridden?
-    if [ -e "/etc/mandos/plugin-helpers/$base" ]; then
-	continue
-    fi
-    case "$base" in
-	*~|.*|\#*\#|*.dpkg-old|*.dpkg-bak|*.dpkg-new|*.dpkg-divert)
-	    : ;;
-	"*") : ;;
-	*) copy_exec "$file" "${PLUGINHELPERDIR}" ;;
-    esac
-done
-
 # Copy any user-supplied plugins
 for file in /etc/mandos/plugins.d/*; do
     base="`basename \"$file\"`"
@@ -126,17 +109,6 @@
     esac
 done
 
-# Copy any user-supplied plugin helpers
-for file in /etc/mandos/plugin-helpers/*; do
-    base="`basename \"$file\"`"
-    case "$base" in
-	*~|.*|\#*\#|*.dpkg-old|*.dpkg-bak|*.dpkg-new|*.dpkg-divert)
-	    : ;;
-	"*") : ;;
-	*) copy_exec "$file" "${PLUGINHELPERDIR}" ;;
-    esac
-done
-
 # Get DEVICE from initramfs.conf and other files
 . /etc/initramfs-tools/initramfs.conf
 for conf in /etc/initramfs-tools/conf.d/*; do

=== modified file 'mandos'
--- mandos	2014-10-08 21:07:10 +0000
+++ mandos	2014-10-05 20:08:58 +0000
@@ -275,7 +275,7 @@
         self.bus = bus
         self.entry_group_state_changed_match = None
     
-    def rename(self, remove=True):
+    def rename(self):
         """Derived from the Avahi example code"""
         if self.rename_count >= self.max_renames:
             logger.critical("No suitable Zeroconf service name found"
@@ -284,22 +284,16 @@
             raise AvahiServiceError("Too many renames")
         self.name = str(self.server
                         .GetAlternativeServiceName(self.name))
-        self.rename_count += 1
         logger.info("Changing Zeroconf service name to %r ...",
                     self.name)
-        if remove:
-            self.remove()
+        self.remove()
         try:
             self.add()
         except dbus.exceptions.DBusException as error:
-            if (error.get_dbus_name()
-                == "org.freedesktop.Avahi.CollisionError"):
-                logger.info("Local Zeroconf service name collision.")
-                return self.rename(remove=False)
-            else:
-                logger.critical("D-Bus Exception", exc_info=error)
-                self.cleanup()
-                os._exit(1)
+            logger.critical("D-Bus Exception", exc_info=error)
+            self.cleanup()
+            os._exit(1)
+        self.rename_count += 1
     
     def remove(self):
         """Derived from the Avahi example code"""
@@ -397,9 +391,9 @@
 
 
 class AvahiServiceToSyslog(AvahiService):
-    def rename(self, *args, **kwargs):
+    def rename(self):
         """Add the new name to the syslog messages"""
-        ret = AvahiService.rename(self, *args, **kwargs)
+        ret = AvahiService.rename(self)
         syslogger.setFormatter(logging.Formatter
                                ('Mandos ({}) [%(process)d]:'
                                 ' %(levelname)s: %(message)s'

=== removed directory 'plugin-helpers'
=== modified file 'plugin-runner.c'
--- plugin-runner.c	2015-06-28 16:35:27 +0000
+++ plugin-runner.c	2014-07-16 01:41:23 +0000
@@ -76,7 +76,6 @@
 #define BUFFER_SIZE 256
 
 #define PDIR "/lib/mandos/plugins.d"
-#define PHDIR "/lib/mandos/plugin-helpers"
 #define AFILE "/conf/conf.d/mandos/plugin-runner.conf"
 
 const char *argp_program_version = "plugin-runner " VERSION;
@@ -348,7 +347,6 @@
 
 int main(int argc, char *argv[]){
   char *plugindir = NULL;
-  char *pluginhelperdir = NULL;
   char *argfile = NULL;
   FILE *conffp;
   struct dirent **direntries = NULL;
@@ -416,10 +414,6 @@
       .doc = "Group ID the plugins will run as", .group = 3 },
     { .name = "debug", .key = 132,
       .doc = "Debug mode", .group = 4 },
-    { .name = "plugin-helper-dir", .key = 133,
-      .arg = "DIRECTORY",
-      .doc = "Specify a different plugin helper directory",
-      .group = 2 },
     /*
      * These reproduce what we would get without ARGP_NO_HELP
      */
@@ -551,13 +545,6 @@
     case 132:			/* --debug */
       debug = true;
       break;
-    case 133:			/* --plugin-helper-dir */
-      free(pluginhelperdir);
-      pluginhelperdir = strdup(arg);
-      if(pluginhelperdir != NULL){
-	errno = 0;
-      }
-      break;
       /*
        * These reproduce what we would get without ARGP_NO_HELP
        */
@@ -614,7 +601,6 @@
     case 130:			/* --userid */
     case 131:			/* --groupid */
     case 132:			/* --debug */
-    case 133:			/* --plugin-helper-dir */
     case '?':			/* --help */
     case -3:			/* --usage */
     case 'V':			/* --version */
@@ -775,24 +761,6 @@
     goto fallback;
   }
   
-  {
-    char *pluginhelperenv;
-    bool bret = true;
-    ret = asprintf(&pluginhelperenv, "MANDOSPLUGINHELPERDIR=%s",
-		   pluginhelperdir != NULL ? pluginhelperdir : PHDIR);
-    if(ret != -1){
-      bret = add_environment(getplugin(NULL), pluginhelperenv, true);
-    }
-    if(ret == -1 or not bret){
-      error(0, errno, "Failed to set MANDOSPLUGINHELPERDIR"
-	    " environment variable to \"%s\" for all plugins\n",
-	    pluginhelperdir != NULL ? pluginhelperdir : PHDIR);
-    }
-    if(ret != -1){
-      free(pluginhelperenv);
-    }
-  }
-  
   if(debug){
     for(plugin *p = plugin_list; p != NULL; p=p->next){
       fprintf(stderr, "Plugin: %s has %d arguments\n",
@@ -1368,7 +1336,6 @@
   free_plugin_list();
   
   free(plugindir);
-  free(pluginhelperdir);
   free(argfile);
   
   return exitstatus;

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2015-06-28 16:35:27 +0000
+++ plugin-runner.xml	2011-12-31 23:05:34 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2015-06-28">
+<!ENTITY TIMESTAMP "2012-01-01">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -114,9 +114,6 @@
       <arg><option>--plugin-dir=<replaceable
       >DIRECTORY</replaceable></option></arg>
       <sbr/>
-      <arg><option>--plugin-helper-dir=<replaceable
-      >DIRECTORY</replaceable></option></arg>
-      <sbr/>
       <arg><option>--config-file=<replaceable
       >FILE</replaceable></option></arg>
       <sbr/>
@@ -323,21 +320,6 @@
       </varlistentry>
       
       <varlistentry>
-	<term><option>--plugin-helper-dir
-	<replaceable>DIRECTORY</replaceable></option></term>
-	<listitem>
-	  <para>
-	    Specify a different plugin helper directory.  The default
-	    is <filename>/lib/mandos/plugin-helpers</filename>, which
-	    will exist in the initial <acronym>RAM</acronym> disk
-	    environment.  (This will simply be passed to all plugins
-	    via the <envar>MANDOSPLUGINHELPERDIR</envar> environment
-	    variable.  See <xref linkend="writing_plugins"/>)
-	  </para>
-	</listitem>
-      </varlistentry>
-      
-      <varlistentry>
 	<term><option>--config-file
 	<replaceable>FILE</replaceable></option></term>
 	<listitem>
@@ -444,11 +426,7 @@
       <para>
 	The plugin will run in the initial RAM disk environment, so
 	care must be taken not to depend on any files or running
-	services not available there.  Any helper executables required
-	by the plugin (which are not in the <envar>PATH</envar>) can
-	be placed in the plugin helper directory, the name of which
-	will be made available to the plugin via the
-	<envar>MANDOSPLUGINHELPERDIR</envar> environment variable.
+	services not available there.
       </para>
       <para>
 	The plugin must exit cleanly and free all allocated resources
@@ -497,9 +475,7 @@
       only passes on its environment to all the plugins.  The
       environment passed to plugins can be modified using the
       <option>--global-env</option> and <option>--env-for</option>
-      options.  Also, the <option>--plugin-helper-dir</option> option
-      will affect the environment variable
-      <envar>MANDOSPLUGINHELPERDIR</envar> for the plugins.
+      options.
     </para>
   </refsect1>
   

